High Priest Prana:
To change your profession to Human Wizard, you should bring back tokens for each of the four elements of water, fire, wind and earth -- for these form the basis of elemental magic. Visit Parina, who has long studied elemental magic, to learn how to collect the tokens. She is here in this temple, so you can meet her immediately. You will receive the bead of four seasons when you collect tokens for all four elements. If you bring me that, you can change profession to become a Human Wizard.
Return